Subject: Re: [BUILD-FAILURE] next-20091015 - vbus_enet driver breaks with allmodconfig

From: Randy Dunlap <[email-masked]>
Date: Fri, 6 Nov 2009 09:38:56 -0800

On Thu, 15 Oct 2009 18:25:05 -0400 Gregory Haskins wrote:

> Randy Dunlap wrote:
> > On Thu, 15 Oct 2009 13:39:44 -0400 Gregory Haskins wrote:
> > 
> >>
> >> I am having difficulty reproducing the problem.  When I look at the
> >> Kconfig, I see that VBUS_ENET has a "select VBUS_PROXY" as I would
> >> expect.  Additionally, if I run allmodconfig I can confirm that I get
> >> VBUS_ENET=m, VBUS_PROXY=y:
> > 
> > Greg,
> > 
> > Did you try to reproduce it with the ppc64 config file?
> > allmodconfig on what arch?
> > 
> > I think the problem is that arch/x86/Kconfig says:
> > 
> > source "drivers/vbus/Kconfig"
> > 
> > and that should actually be in drivers/Kconfig, so that it applies
> > to ppc64 et al, not just x86.
> 
> Ah, indeed.  I only have/tried x86, and that is the issue.  I will have
> to fix this (and the create_irq() dependency you mention in the next mail).

Hi Greg,

I'm still getting
pci-bridge.c:(.text+0x31b633): undefined reference to `create_irq'

on today's linux-next-20091106.
CONFIG_SMP=n
CONFIG_X86_UP_APIC=n

full config attached.

---
~Randy